Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleCorrelationFactory

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.SimpleCorrelationFactory

All Implemented Interfaces:
  CorrelationFactory

public class SimpleCorrelationFactory
extends java.lang.Object
implements CorrelationFactory

SimpleCorrelationFactory is a device for creating correlation expressions for all of the built-in dialects supported by WSDM CorrelatableProperties. Currently, the two dialects are XPath 1.0 and WSDM's Property Boolean Match.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleCorrelationFactory()`

Method Summary
`boolean` | `hasDialect(java.lang.String dialect)`
`Correlation` | `newInstance(WsResource resource, org.w3c.dom.Element xml)` Parses the given Element and creates a complete Correlation expression that can be evaluated against any WS-RF resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleCorrelationFactory

    public SimpleCorrelationFactory()

Method Detail

### hasDialect

    public boolean hasDialect(java.lang.String dialect)

  Specified by:
    `hasDialect` in interface `CorrelationFactory`
  Parameters:
    `dialect` -
  Returns:
    True if the factory can create Correlations of the given type.

### newInstance

    public Correlation newInstance(WsResource resource,
                                   org.w3c.dom.Element xml)

  Description copied from interface: `CorrelationFactory`
  Parses the given Element and creates a complete Correlation expression that can be evaluated against any WS-RF resource.

  Specified by:
    `newInstance` in interface `CorrelationFactory`
  Parameters:
    `xml` - The DOM Element representing the expression. This fragment should have a root element whose QName is the MUWS (Part 1) CorrelatableProperties and which has a 'Dialect' attribute. The latter will be used to determine the type of Correlation to create.
  Returns:
    A Correlation that can be evaluated against any WS-RF resource.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD